#!/usr/bin/perl -w
use strict;
use PennMUSH;
use TestHarness;



my $mush = PennMUSH->new;

my @tests = map { TestHarness->new($_); } @ARGV;

my $god = $mush->loginGod;
my $mortal = undef;
if ($TestHarness::use_mortal) {
    $god->command('@pcreate Mortal=mortal');
    $mortal = $mush->login("Mortal", "mortal");
}

foreach my $test (@tests) {
    $test->run($god, $mortal);
}
